package com.migao.entity.vo.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Data
public class DemandScheduleQueryRes {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "需求描述")
    private String demandDescribe;

    @ApiModelProperty(value = "需求进度")
    private BigDecimal demandSchedule;

    @ApiModelProperty(value = "提交时间")
    private LocalDateTime submitTime;
}
