package com.migao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.migao.entity.po.DemandLibrary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author dingsong
 */
public interface DemandLibraryMapper extends BaseMapper<DemandLibrary> {
    /**
     * 通过时间查询需求库信息
     * @param date 时间
     * @return
     */
    List<DemandLibrary> findByDate(@Param("date") String date);
}
