package com.migao.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.entity.po.Milestone;
import com.migao.entity.vo.req.MilestoneInsertReq;
import com.migao.entity.vo.req.MilestonePageQueryReq;
import com.migao.entity.vo.req.MilestoneUpdateReq;
import com.migao.entity.vo.res.MilestoneQueryRes;
import com.migao.entity.vo.res.ProjectQueryRes;

import java.util.List;

/**
 * @author dingsong
 */
public interface MilestoneService{
    ResponseBean<?> insert(MilestoneInsertReq milestoneInsertReq);

    ResponseBean<?> deleteById(Integer id);

    ResponseBean<?> deleteBatch(List<Integer> ids);

    ResponseBean<?> update(MilestoneUpdateReq milestoneUpdateReq);

    ResponseBean<PageBean<ProjectQueryRes>> pageQuery(MilestonePageQueryReq milestonePageQueryReq);

    ResponseBean<?> importData(Integer fileId,Integer projectId);

    ResponseBean<?> export(MilestonePageQueryReq milestonePageQueryReq);

    ResponseBean<ProjectQueryRes> findById(Integer id);

    ResponseBean<List<MilestoneQueryRes>> selectMilestone(Integer id);

    ResponseBean<?> template();
}
